Name:           xfhell
Version:        1.9
Release:        5%{?dist}
Summary:        GTK based Ham Radio application for the Hellschreiber communications mode

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/digital.html
Source0:        http://5b4az.chronos.org.uk/pkg/%{name}/%{name}-%{version}.tar.gz
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, automake, gtk2-devel, desktop-file-utils
#Requires:       

%description
xfhell is a GTK+ application for the "fuzzy" digital amateur radio 
communication mode known as Hellschreiber. 


%prep
%setup -qn %{name}


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# no upstream .desktop or icon yet
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor="fedora" \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files
#Missing copy of the GPL, Notified upstream
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README
%doc doc/BDF_Spec.pdf doc/xfhell.html
%{_bindir}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 15 2010 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 1.9-4
- Fix .desktop categories add Network;HamRadio;

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 11 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org>- 1.9-1 
- New upstream release

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 1.4-4
- Fix Source0 Screwup again

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 1.4-3
- Fix Source0 Screwup

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 1.4-2
- Add .desktop and icon
- Submit for Review

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 1.4-1
- Upstream Version Bump

* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 1.3-1
- Initial build
